Subject: C-Browser (alpha) available
From: Eckehard Stolz <[email-masked]>
Date: 23 Dec 1993 12:13:33 +0200
Newsgroups: comp.os.linux.announce

This is the first (semi-)public release of c-bat (C Browsing and
Analysis Toolkit).

It is based upon a patch to GCC 2.4.5. It consists of a 
browser-server and some browser-clients, communicating via IPC.

There are two clients implemented yet:
- a tool for interactivly retrieve information about a C-project
- a tool printing a calltree from a special function

You will find the actual version on ftp.informatik.tu-muenchen.de

in the directory

/pub/comp/os/linux/local/ALPHA/c-bat

filename:

c-bat-0.1d.tar.gz

There is a binary of the patched C-Compiler (GCC 2.4.5) included, so
you don't need to build it for your own. (Let's better say, the 
object files and a little makefile is included)

This release of c-bat (0.1d) is not a finished yet ! In fact, a 
lot of things are still missing and there are definitly some bugs 
in it.

However, I do release it now, because:

- I wanted to make a christmas present to the Linux community
- I think my tool is already useful for some people
- I am on vacation for the next few weeks and would like to have a 
  lot of emails when I return :-) !

So please feel free to test it and send me your bug-reports, comments
and suggestions. 

PLEASE SEND ME EMAIL IF YOU DOWNLOAD C-BAT ! YOU WILL BE INFORMED ON
BUG FIXES OR NEW VERSIONS AVAILABLE !

Look in the TODO-file for the things next to come.

Have fun and merry christmas !

Eckehard Stolz
[email-masked]
[email-masked]

-------------LSM-ENTRY------------------
Begin2
Title        = C Browsing and Analysis Toolkit
Version      = 0.1d (ALPHA)
Desc1        = c-bat creates browsing information during compile time. A server 
Desc2        = answers information requests from client-applications (like: "where
Desc3        = is function defined", "which functions call a function", "who uses 
Desc4        = var. x", ...). Browsing capabilities can be added to own programs
Desc5        = using provided functions. Two sample clients included.
Author       = Eckehard Stolz
AuthorEmail  = [email-masked]
Maintainer   = Eckehard Stolz
MaintEmail   = [email-masked]
Site1        = ftp.informatik.tu-muenchen.de
Path1        = /pub/comp/os/linux/local/ALPHA/c-bat
File1        = c-bat-0.1d.tar.gz
FileSize1    = 764031 Bytes
Required1    = GCC 2.4.5, ncurses, Sys-V IPC
CopyPolicy1  = GNU GPL
Keywords     = C-browser, programming, cross reference, 
Comment1     = This release is ALPHA (or pre- alpha). It is NOT finished
Comment2     = yet. You still need GCC 2.4.5 for it ! This toolkit should
Comment3     = give you the possibility to add browsing capabilities to
Comment4     = your own programming environments ! 
Entered      = 22DEC93
EnteredBy    = Eckehard Stolz
CheckedEmail = [email-masked]
End

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.